---
# values file for hello-world oauth2-proxy helm chart

image:
  tag: "v7.2.0"

config:
  clientID: ab3b5b5f-cb5b-4e89-9453-d1fb318399c8
  clientSecret: gto_mjzrf23bvu5ohu7dub6r7ti5daoa7vw2wpafum7i4qcb4emwqrza

extraArgs:
  upstream: "http://hello-world/"
  provider: "github"
  provider-display-name: "Gitea"
  redirect-url: "https://www.xai-corp.net/oauth2/callback"
  login-url: "https://git.xai-corp.net/login/oauth/authorize"
  redeem-url: "https://git.xai-corp.net/login/oauth/access_token"
  validate-url: "https://git.xai-corp.net/api/v1"


ingress:
  enabled: true
  path: /
  pathType: Prefix
  annotations:
  hosts:
    - www.xai-corp.net
#  hosts:
#    - host: www.xai-corp.net
#      paths:
#        - path: /
#          pathType: Prefix
  tls: # < placing a host in the TLS config will determine what ends up in the cert's subjectAltNames
    - secretName: xai-corp-production-tls
